<template>
  <page>
    <a-collapse
      v-model="activeKey"
      class="donations-table"
    >
      <a-collapse-panel
        key="1"
        header="Doação #145"
      >
        <a-timeline>
          <a-timeline-item color="green">
            <strong>Situação: </strong>Confirmado
          </a-timeline-item>
          <a-timeline-item>
            <strong>Valor: </strong>R$ 50,00
          </a-timeline-item>
          <a-timeline-item>
            <strong>Data: </strong>20 de Janeiro
          </a-timeline-item>
          <a-timeline-item>
            <strong>Doador: </strong>Cícero Antônio
            <p>cicero.antonio@hotmail.com</p>
          </a-timeline-item>
        </a-timeline>
      </a-collapse-panel>
      <a-collapse-panel
        key="2"
        header="Doação #478"
        style="opacity: 0.5"
      >
        <a-timeline-item color="red">
          <strong>Situação: </strong>Cancelado
        </a-timeline-item>
        <a-timeline-item>
          <strong>Valor: </strong>R$ 50,00
        </a-timeline-item>
        <a-timeline-item>
          <strong>Data: </strong>20 de Janeiro
        </a-timeline-item>
        <a-timeline-item>
          <strong>Doador: </strong>Cícero Antônio
          <p>
            cicero.antonio@hotmail.com
          </p>
        </a-timeline-item>
      </a-collapse-panel>
    </a-collapse>
  </page>
</template>

<script>
export default {
  name: 'Donations',
  data() {
    return {
      activeKey: ['1'],
    };
  },
};
</script>

<style lang="stylus" scoped>
.ant-timeline-item-last
  padding 0
</style>
